> For the complete documentation index, see [llms.txt](https://docs.rewst.help/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.rewst.help/updates/marketplace-updates/2024-marketplace-updates/may-31st-2024.md).

# May 31st 2024 - Marketplace Update

Explore the new changes to the Marketplace in the last week!

This can be anything from new crates, enhancements, or bug fixes!

<details>

<summary><strong>New crates and enhancements</strong></summary>

* Rewst: User Onboarding
  * Changed manual license approval to CWM ticket link as default behavior. To use pod notifications, set the use\_pod\_notifications org variable to true.
  * Updated to allow for exclusion of vars in initial description template(s) by adding `onboard_excluded_org_variables`.
  * Added support for purchasing licenses through TD SYNNEX Stellr.
  * Added Direct License purchase approval through ticket approval link by setting org variable m365\_require\_authorization\_for\_new\_licenses to '1'.

</details>

<details>

<summary><strong>Bug fixes and chores</strong></summary>

* Configure Organizational Variables
  * Updated the form to correctly auto-populate with the default values from the options-generators
* Rewst: User Offboarding
  * Fixed the External Note action to set both an internal and external note if the proper conditions are met.
  * Adjusted all options-gen fields that return an ID to not allow custom input in the form.
* Sync LastLoggedInUser to PSA Config Item
  * Updated `datto_psa_configuration_items_query` to have isActive set to True to avoid inactive items being returned.
* Rewst: User Onboarding
  * Fixed workflow failures when both CWM and Halo are installed in the same org.
  * Enhanced device matching process to handle instances where systemName is not provided, preventing workflow failures.

</details>

<details>

<summary><strong>Coming soon!</strong></summary>

* Rewst: User Offboarding
  * On-prem AD support
* Document M365 Environment
  * Support for Hudu
* Document User Details
  * Support for Hudu
* Document Group Details
  * Support for Hudu
* Document Shared Mailbox Details
  * Support for Hudu

</details>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.rewst.help/updates/marketplace-updates/2024-marketplace-updates/may-31st-2024.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
